#!/usr/bin/env python3

import os
import sys

from PyQt6.QtWidgets import QApplication

from load_controller.gui import GUI


def main(argv: list[str]) -> int:
    app = QApplication(sys.argv)
    gui = GUI()
    gui.show()

    return app.exec()


if __name__ == "__main__":
    if len(sys.argv) != 3:
        print(f"Usage: {sys.argv[0]} LOAD-PORT BMS-PORT", file=sys.stderr)
        sys.exit(os.EX_USAGE)

    sys.exit(main(sys.argv))
